filename = "${title} - ${new Date().format('yyyy-MM-dd')}.xlsx".toString() // "filename" is a standard Java String, not a GString

timesheetReport = new TimesheetReportTool()

public class TimesheetReportTool {
	public def getAffectedVersions(issue) {
		issue.affectedVersions ? issue.affectedVersions.collect{ it.name }.join(', ') : '(No version)'
	}

	public def getFixVersions(issue) {
		issue.fixVersions ? issue.fixVersions.collect{ it.name }.join(', ') : '(No version)'
	}

	public def getComponents(issue) {
		issue.components ? issue.components.collect{ it.name }.join(', ') : '(No component)'
	}
}
